org.eclipse.jetty.server.session

## Interface AbstractSessionManager.SessionIf

All Superinterfaces:
  javax.servlet.http.HttpSession

All Known Implementing Classes:
  AbstractSession, HashedSession, JDBCSessionManager.Session

Enclosing class:
  AbstractSessionManager

    public static interface AbstractSessionManager.SessionIf
    extends javax.servlet.http.HttpSession

Interface that any session wrapper should implement so that SessionManager may access the Jetty session implementation.

### Method Summary

Methods
`AbstractSession` `getSession()`

### Methods inherited from interface javax.servlet.http.HttpSession

`getAttribute, getAttributeNames, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getServletContext, getSessionContext, getValue, getValueNames, invalidate, isNew, putValue, removeAttribute, removeValue, setAttribute, setMaxInactiveInterval`

### Method Detail

#### getSession

    AbstractSession getSession()